## tinygltf 2.2.0+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

PROJECT (tinygltf)

SET(CMAKE_CXX_STANDARD 11)

ADD_EXECUTABLE ( loader_example
  loader_example.cc
  )

ADD_SUBDIRECTORY ( examples/gltfutil )
ADD_SUBDIRECTORY ( examples/glview )
ADD_SUBDIRECTORY ( examples/validator )

INSTALL ( FILES
  json.hpp
  stb_image.h
  stb_image_write.h
  tiny_gltf.h
  DESTINATION
  include
  )

INSTALL ( FILES
  cmake/TinyGLTFConfig.cmake
  DESTINATION
  cmake
  )

=== debian/changelog ===
tinygltf (2.2.0+dfsg1-4) unstable; urgency=medium

  * Bump debhelper to version 13
  * Create new symbols file with pkg-kde-tools (Closes: #966943)

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Tue, 11 Aug 2020 13:38:17 +0200

tinygltf (2.2.0+dfsg1-3) unstable; urgency=medium

  * Fix symbols file (FTBFS on s390x)
  * Remove duplicated symbols
  * Enable Large File support

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Tue, 21 Apr 2020 10:32:24 +0200

tinygltf (2.2.0+dfsg1-2) unstable; urgency=medium

  * Fix symbols for std::size_t (FTBFS on 32 bit architectures)
  * Add pkg-config file
  * Update Vcs-* info

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 20 Apr 2020 13:35:05 +0200

tinygltf (2.2.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #953868)

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Sat, 14 Mar 2020 10:20:46 +0100

=== debian/control ===
Source: tinygltf
Priority: optional
Maintainer: Timo Röhling <timo.roehling@fkie.fraunhofer.de>
Build-Depends: debhelper-compat (= 13), pkg-kde-tools,
               cmake, libstb-dev, nlohmann-json3-dev, catch
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/syoyo/tinygltf
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tinygltf.git
Vcs-Browser: https://salsa.debian.org/debian/tinygltf

Package: libtinygltf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtinygltf0d (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: glTF loader and saver library - header files
 glTF (GL Transmission Format) is a royalty-free specification
 for the efficient transmission and loading of 3D scenes and
 models by applications. TinyGLTF is a C++ implementation to
 load and save glTF data.
 .
 This package installs the header files for development.

Package: libtinygltf0d
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: glTF loader and saver library
 glTF (GL Transmission Format) is a royalty-free specification
 for the efficient transmission and loading of 3D scenes and
 models by applications. TinyGLTF is a C++ implementation to
 load and save glTF data.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
BUILD_TESTING = ON
else
BUILD_TESTING = OFF
endif

%:
	dh $@ --buildsystem=cmake --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_SHARED_LIBS=ON
		-DBUILD_TESTING=$(BUILD_TESTING)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/tinygltf-$1\.tar\.gz/,\
     repack,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// \
https://github.com/syoyo/tinygltf/releases/latest .*/v(\d\S+)\.tar\.gz

## tinygltf 2.4.0+dfsg

=== debian/changelog ===
tinygltf (2.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable. No transition slot required (yet).
  * Add README.Debian to explain library usage

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Thu, 08 Oct 2020 15:14:42 +0200

tinygltf (2.4.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 2.4.0+dfsg
  * Bump SOVERSION to 1d

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Thu, 01 Oct 2020 17:56:37 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtinygltf0d (= ${binary:Version}),
+Depends: libtinygltf1d (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: glTF loader and saver library - header files
  glTF (GL Transmission Format) is a royalty-free specification
@@ -24,7 +24,7 @@
  .
  This package installs the header files for development.
 
-Package: libtinygltf0d
+Package: libtinygltf1d
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

## tinygltf 2.5.0%2Bdfsg

=== debian/changelog ===
tinygltf (2.5.0+dfsg-4) unstable; urgency=medium

  * Fix d/watch to use tags, not releases on Github
  * Update maintainer email address
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 26 Oct 2021 22:44:36 +0200

tinygltf (2.5.0+dfsg-3) unstable; urgency=medium

  * Mark inlinable symbols to prevent spurious build failures

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 04 Dec 2020 20:24:47 +0100

tinygltf (2.5.0+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1
  * Stop filtering vaguely linked symbols from DSO
  * Fix symbols for kfreebsd-amd64

 -- Timo Röhling <timo@gaussglocke.de>  Sun, 29 Nov 2020 12:29:50 +0100

tinygltf (2.5.0+dfsg-1) unstable; urgency=medium

  * [8f5c4ed] New upstream version 2.5.0+dfsg
  * [83eb9ca] Update maintainer email address

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 03 Nov 2020 16:46:11 +0100

## tinygltf 2.5.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

PROJECT (tinygltf)

SET(CMAKE_CXX_STANDARD 11)

option(TINYGLTF_BUILD_LOADER_EXAMPLE "Build loader_example" ON)
option(TINYGLTF_BUILD_GL_EXAMPLES "Build GL exampels(requires glfw, OpenGL, etc)" OFF)
option(TINYGLTF_BUILD_VALIDATOR_EXAMPLE "Build validator exampe" OFF)

if (TINYGLTF_BUILD_LOADER_EXAMPLE)
  ADD_EXECUTABLE ( loader_example
    loader_example.cc
    )
endif (TINYGLTF_BUILD_LOADER_EXAMPLE)

if (TINYGLTF_BUILD_GL_EXAMPLES)
  ADD_SUBDIRECTORY ( examples/gltfutil )
  ADD_SUBDIRECTORY ( examples/glview )
endif (TINYGLTF_BUILD_GL_EXAMPLES)

if (TINYGLTF_BUILD_VALIDATOR_EXAMPLE)
  ADD_SUBDIRECTORY ( examples/validator )
endif (TINYGLTF_BUILD_VALIDATOR_EXAMPLE)
#
# TinuGLTF is a header-only library, so no library build. just install header files.
#
INSTALL ( FILES
  json.hpp
  stb_image.h
  stb_image_write.h
  tiny_gltf.h
  DESTINATION
  include
  )

INSTALL ( FILES
  cmake/TinyGLTFConfig.cmake
  DESTINATION
  cmake
  )

=== debian/changelog ===
tinygltf (2.5.0+dfsg-3+deb11u1) bullseye-security; urgency=medium

  * CVE-2022-3008: Disable unsafe file path expansion (Closes: #1019357)

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Sep 2022 23:36:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tinygltf
 Priority: optional
-Maintainer: Timo Röhling <timo.roehling@fkie.fraunhofer.de>
-Build-Depends: debhelper-compat (= 13), pkg-kde-tools,
-               cmake, libstb-dev, nlohmann-json3-dev, catch
-Standards-Version: 4.5.0
+Maintainer: Timo Röhling <timo@gaussglocke.de>
+Build-Depends: debhelper-compat (= 13), cmake,
+               libstb-dev, nlohmann-json3-dev, catch
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/syoyo/tinygltf
 Rules-Requires-Root: no
@@ -15,7 +15,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libtinygltf1d (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
+         ${misc:Depends}
 Description: glTF loader and saver library - header files
  glTF (GL Transmission Format) is a royalty-free specification
  for the efficient transmission and loading of 3D scenes and

=== debian/tests/control ===
Tests: build
Depends: libtinygltf-dev, cmake, pkg-config, g++ | c++-compiler

## tinygltf 2.6.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

PROJECT (tinygltf)

SET(CMAKE_CXX_STANDARD 11)

option(TINYGLTF_BUILD_LOADER_EXAMPLE "Build loader_example(load glTF and dump infos)" ON)
option(TINYGLTF_BUILD_GL_EXAMPLES "Build GL exampels(requires glfw, OpenGL, etc)" OFF)
option(TINYGLTF_BUILD_VALIDATOR_EXAMPLE "Build validator exampe" OFF)
option(TINYGLTF_BUILD_BUILDER_EXAMPLE "Build glTF builder example" OFF)
option(TINYGLTF_HEADER_ONLY "On: header-only mode. Off: create tinygltf library(No TINYGLTF_IMPLEMENTATION required in your project)" OFF)
option(TINYGLTF_INSTALL "Install tinygltf files during install step. Usually set to OFF if you include tinygltf through add_subdirectory()" ON)

if (TINYGLTF_BUILD_LOADER_EXAMPLE)
  ADD_EXECUTABLE ( loader_example
    loader_example.cc
    )
endif (TINYGLTF_BUILD_LOADER_EXAMPLE)

if (TINYGLTF_BUILD_GL_EXAMPLES)
  ADD_SUBDIRECTORY ( examples/gltfutil )
  ADD_SUBDIRECTORY ( examples/glview )
endif (TINYGLTF_BUILD_GL_EXAMPLES)

if (TINYGLTF_BUILD_VALIDATOR_EXAMPLE)
  ADD_SUBDIRECTORY ( examples/validator )
endif (TINYGLTF_BUILD_VALIDATOR_EXAMPLE)

if (TINYGLTF_BUILD_BUILDER_EXAMPLE)
  ADD_SUBDIRECTORY ( examples/build-gltf )
endif (TINYGLTF_BUILD_BUILDER_EXAMPLE)

#
# for add_subdirectory and standalone build
#
if (TINYGLTF_HEADER_ONLY)
  add_library(tinygltf INTERFACE)

  target_include_directories(tinygltf
          INTERFACE
          $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
          $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
  )

else (TINYGLTF_HEADER_ONLY)
  add_library(tinygltf)
  target_sources(tinygltf PRIVATE
          ${CMAKE_CURRENT_SOURCE_DIR}/tiny_gltf.cc)
  target_include_directories(tinygltf
          INTERFACE
          $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
          $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
          )
endif (TINYGLTF_HEADER_ONLY)

if (TINYGLTF_INSTALL)

  # Do not install .lib even if !TINYGLTF_HEADER_ONLY

  INSTALL ( FILES
    json.hpp
    stb_image.h
    stb_image_write.h
    tiny_gltf.h
    ${TINYGLTF_EXTRA_SOUECES}
    DESTINATION
    include
    )

  INSTALL ( FILES
    cmake/TinyGLTFConfig.cmake
    DESTINATION
    cmake
    )

endif(TINYGLTF_INSTALL)

=== debian/changelog ===
tinygltf (2.6.3+dfsg-2) unstable; urgency=medium

  * Big endian fix

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Sep 2022 22:30:43 +0200

tinygltf (2.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.3+dfsg

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Sep 2022 00:19:41 +0200

tinygltf (2.5.0+dfsg-5) unstable; urgency=medium

  * CVE-2022-3008: Disable unsafe file path expansion (Closes: #1019357)
  * Bump Standards-Version to 4.6.1
  * Fix cross-compilation

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Sep 2022 19:15:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: tinygltf
 Priority: optional
-Maintainer: Timo Röhling <timo@gaussglocke.de>
-Build-Depends: debhelper-compat (= 13), cmake,
-               libstb-dev, nlohmann-json3-dev, catch
-Standards-Version: 4.5.1
+Maintainer: Timo Röhling <roehling@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ catch <!nocheck>,
+ cmake,
+ libstb-dev,
+ nlohmann-json3-dev,
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/syoyo/tinygltf
 Rules-Requires-Root: no

## tinygltf 2.7.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 cmake_minimum_required(VERSION 3.6)
 
 PROJECT (tinygltf)
+
+include(GNUInstallDirs)
+include(CMakePackageConfigHelpers)
 
 SET(CMAKE_CXX_STANDARD 11)
 
@@ -54,7 +57,10 @@
 endif (TINYGLTF_HEADER_ONLY)
 
 if (TINYGLTF_INSTALL)
-
+  install(TARGETS tinygltf EXPORT tinygltfTargets)
+  install(EXPORT tinygltfTargets NAMESPACE tinygltf:: FILE TinyGLTFTargets.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
+  configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/TinyGLTFConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/TinyGLTFConfig.cmake INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/TinyGLTFConfig.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
   # Do not install .lib even if !TINYGLTF_HEADER_ONLY
 
   INSTALL ( FILES
@@ -67,10 +73,4 @@
     include
     )
 
-  INSTALL ( FILES
-    cmake/TinyGLTFConfig.cmake
-    DESTINATION
-    cmake
-    )
-
 endif(TINYGLTF_INSTALL)

=== wasm/Makefile ===
WASI_VERSION=16
WASI_VERSION_FULL=${WASI_VERSION}.0

WASI_SDK_PATH=$(HOME)/local/wasi-sdk-${WASI_VERSION_FULL}

CC=${WASI_SDK_PATH}/bin/clang
CXX=${WASI_SDK_PATH}/bin/clang++
CXXFLAGS=-fno-rtti -fno-exceptions -g -Os

all:
	$(CXX) ../loader_example.cc $(CXXFLAGS) -I../

=== debian/changelog ===
tinygltf (2.7.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 10 Jan 2023 22:41:45 +0100

tinygltf (2.7.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Timo Röhling ]
  * New upstream version 2.7.0+dfsg
  * Bump SONAME to 2d
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 01 Jan 2023 20:34:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  cmake,
  libstb-dev,
  nlohmann-json3-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/syoyo/tinygltf
 Rules-Requires-Root: no
@@ -18,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtinygltf1d (= ${binary:Version}),
+Depends: libtinygltf2d (= ${binary:Version}),
          ${misc:Depends}
 Description: glTF loader and saver library - header files
  glTF (GL Transmission Format) is a royalty-free specification
@@ -28,7 +28,7 @@
  .
  This package installs the header files for development.
 
-Package: libtinygltf1d
+Package: libtinygltf2d
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

## tinygltf 2.8.13+dfsg

=== debian/changelog ===
tinygltf (2.8.13+dfsg-4) unstable; urgency=medium

  * Avoid deprecation warning in CMake 3.27 (Closes: #1040736)

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 23:36:38 +0200

tinygltf (2.8.13+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Jun 2023 00:33:38 +0200

tinygltf (2.8.13+dfsg-2) experimental; urgency=medium

  * Mark some symbols as optional
  * Set (SO)VERSION from d/rules

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Jun 2023 09:31:22 +0200

tinygltf (2.8.13+dfsg-1) experimental; urgency=medium

  * Add missing symbols
  * New upstream version 2.8.13+dfsg

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jun 2023 22:44:15 +0200

tinygltf (2.8.12+dfsg-1) experimental; urgency=medium

  * New upstream version 2.8.12+dfsg
  * Bump SONAME to 3d

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Jun 2023 20:34:13 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtinygltf2d (= ${binary:Version}),
+Depends: libtinygltf3d (= ${binary:Version}),
          ${misc:Depends}
 Description: glTF loader and saver library - header files
  glTF (GL Transmission Format) is a royalty-free specification
@@ -28,7 +28,7 @@
  .
  This package installs the header files for development.
 
-Package: libtinygltf2d
+Package: libtinygltf3d
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath future=+lfs

BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
TINYGLTF_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+dfsg.*$$//')
TINYGLTF_SOVERSION := 3d

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_TESTING=$(BUILD_TESTING) \
		-DTINYGLTF_VERSION=$(TINYGLTF_VERSION) \
		-DTINYGLTF_SOVERSION=$(TINYGLTF_SOVERSION) \
		-DTINYGLTF_BUILD_LOADER_EXAMPLE=OFF \
		-DTINYGLTF_BUILD_GL_EXAMPLES=OFF \
		-DTINYGLTF_BUILD_VALIDATOR_EXAMPLE=OFF

## tinygltf 2.8.15+dfsg

=== debian/changelog ===
tinygltf (2.8.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 05 Sep 2023 23:24:26 +0200

tinygltf (2.8.15+dfsg-1) experimental; urgency=medium

  * New upstream version 2.8.15+dfsg
  * Bump SOVERSION to 4d
  * Clean all output files created by the test suite (Closes: #1048018)

 -- Timo Röhling <roehling@debian.org>  Mon, 04 Sep 2023 14:12:43 +0200

tinygltf (2.8.14+dfsg-1) unstable; urgency=medium

  * New upstream version 2.8.14+dfsg
  * Refresh patches
  * Update my email address in d/copyright and d/README.Debian
  * Run testsuite from autopkgtest

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Jul 2023 19:44:40 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtinygltf3d (= ${binary:Version}),
+Depends: libtinygltf4d (= ${binary:Version}),
          ${misc:Depends}
 Description: glTF loader and saver library - header files
  glTF (GL Transmission Format) is a royalty-free specification
@@ -28,7 +28,7 @@
  .
  This package installs the header files for development.
 
-Package: libtinygltf3d
+Package: libtinygltf4d
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
 TINYGLTF_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+dfsg.*$$//')
-TINYGLTF_SOVERSION := 3d
+TINYGLTF_SOVERSION := 4d
 
 %:
 	dh $@ --buildsystem=cmake

## tinygltf 2.8.19+dfsg

=== debian/changelog ===
tinygltf (2.8.19+dfsg-1) unstable; urgency=medium

  * New upstream version 2.8.19+dfsg
  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Dec 2023 11:33:31 +0100

tinygltf (2.8.18+dfsg-1) experimental; urgency=medium

  * New upstream version 2.8.18+dfsg
  * Bump SONAME to 5d
  * Update d/control
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Fri, 17 Nov 2023 21:38:28 +0100

=== debian/control ===
Source: tinygltf
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 catch <!nocheck>,
 cmake,
 libstb-dev,
 nlohmann-json3-dev,
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/syoyo/tinygltf
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tinygltf.git
Vcs-Browser: https://salsa.debian.org/debian/tinygltf
Description: glTF loader and saver library
 glTF (GL Transmission Format) is a royalty-free specification
 for the efficient transmission and loading of 3D scenes and
 models by applications. TinyGLTF is a C++ implementation to
 load and save glTF data.

Package: libtinygltf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libtinygltf5d (= ${binary:Version}),
Description: ${source:Synopsis} - header files
 ${source:Extended-Description}
 .
 This package installs the header files for development.

Package: libtinygltf5d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

## tinygltf 2.8.20+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,14 @@
 cmake_minimum_required(VERSION 3.6)
 
-PROJECT (tinygltf)
+project(tinygltf)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
-SET(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED On)
+set(CMAKE_CXX_EXTENSIONS Off)
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 option(TINYGLTF_BUILD_LOADER_EXAMPLE "Build loader_example(load glTF and dump infos)" ON)
 option(TINYGLTF_BUILD_GL_EXAMPLES "Build GL exampels(requires glfw, OpenGL, etc)" OFF)
@@ -15,22 +18,22 @@
 option(TINYGLTF_INSTALL "Install tinygltf files during install step. Usually set to OFF if you include tinygltf through add_subdirectory()" ON)
 
 if (TINYGLTF_BUILD_LOADER_EXAMPLE)
-  ADD_EXECUTABLE ( loader_example
+  add_executable(loader_example
     loader_example.cc
     )
 endif (TINYGLTF_BUILD_LOADER_EXAMPLE)
 
 if (TINYGLTF_BUILD_GL_EXAMPLES)
-  ADD_SUBDIRECTORY ( examples/gltfutil )
-  ADD_SUBDIRECTORY ( examples/glview )
+  add_subdirectory( examples/gltfutil )
+  add_subdirectory( examples/glview )
 endif (TINYGLTF_BUILD_GL_EXAMPLES)
 
 if (TINYGLTF_BUILD_VALIDATOR_EXAMPLE)
-  ADD_SUBDIRECTORY ( examples/validator )
+  add_subdirectory( examples/validator )
 endif (TINYGLTF_BUILD_VALIDATOR_EXAMPLE)
 
 if (TINYGLTF_BUILD_BUILDER_EXAMPLE)
-  ADD_SUBDIRECTORY ( examples/build-gltf )
+  add_subdirectory ( examples/build-gltf )
 endif (TINYGLTF_BUILD_BUILDER_EXAMPLE)
 
 #

=== debian/changelog ===
tinygltf (2.8.20+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:05:56 +1100

tinygltf (2.8.20+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libstb0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:54:56 +0000

tinygltf (2.8.20+dfsg-1) unstable; urgency=medium

  * New upstream version 2.8.20+dfsg

 -- Timo Röhling <roehling@debian.org>  Tue, 06 Feb 2024 22:26:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: tinygltf
 Priority: optional
-Maintainer: Timo Röhling <roehling@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  catch <!nocheck>,

## tinygltf 2.9.3+dfsg

=== debian/changelog ===
tinygltf (2.9.3+dfsg-3) unstable; urgency=medium

  * Mark symbol tinygltf::Value::Get(size_t) as optional (Closes: #1089052)

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Dec 2024 21:40:58 +0100

tinygltf (2.9.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Nov 2024 15:42:30 +0100

tinygltf (2.9.3+dfsg-1) experimental; urgency=medium

  * New upstream version 2.9.3+dfsg
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Aug 2024 15:50:47 +0200

tinygltf (2.9.2+dfsg-1) experimental; urgency=medium

  * New upstream version 2.9.2+dfsg
  * Refresh patches (no functional changes)
  * Update symbols

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Jul 2024 09:24:31 +0200

tinygltf (2.8.22+dfsg-1) experimental; urgency=medium

  * New upstream version 2.8.22+dfsg
  * Refresh patch (no functional change)
  * Update symbols

 -- Timo Röhling <roehling@debian.org>  Mon, 27 May 2024 17:19:40 +0200

tinygltf (2.8.21+dfsg-1) experimental; urgency=medium

  * New upstream version 2.8.21+dfsg
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.0
  * Bump SONAME to 6d

 -- Timo Röhling <roehling@debian.org>  Mon, 20 May 2024 16:29:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: tinygltf
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Timo Röhling <roehling@debian.org>
+Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  catch <!nocheck>,
  cmake,
  libstb-dev,
  nlohmann-json3-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/syoyo/tinygltf
 Rules-Requires-Root: no
@@ -26,13 +25,13 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libtinygltf5d (= ${binary:Version}),
+ libtinygltf6d (= ${binary:Version}),
 Description: ${source:Synopsis} - header files
  ${source:Extended-Description}
  .
  This package installs the header files for development.
 
-Package: libtinygltf5d
+Package: libtinygltf6d
 Architecture: any
 Multi-Arch: same
 Depends:

## tinygltf 2.9.4+dfsg

=== debian/changelog ===
tinygltf (2.9.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.9.4+dfsg
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Jan 2025 00:06:45 +0100

## tinygltf 2.9.5%2Bdfsg

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/tinygltf-$1\.tar\.gz/,\
     repack,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
https://github.com/syoyo/tinygltf/tags .*/v(\d\S+)\.tar\.gz

## tinygltf 2.9.5+dfsg

=== debian/changelog ===
tinygltf (2.9.5+dfsg-1) unstable; urgency=medium

  * New upstream version 2.9.5+dfsg
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Feb 2025 12:41:51 +0100

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libtinygltf6d (= ${binary:Version}),
  ${misc:Depends},
- libtinygltf6d (= ${binary:Version}),
 Description: ${source:Synopsis} - header files
  ${source:Extended-Description}
  .
@@ -39,4 +39,3 @@
  ${shlibs:Depends},
 Description: ${source:Synopsis}
  ${source:Extended-Description}
-

## tinygltf 2.9.6+dfsg

=== debian/changelog ===
tinygltf (2.9.6+dfsg-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 2.9.6+dfsg
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Sep 2025 14:46:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  cmake,
  libstb-dev,
  nlohmann-json3-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/syoyo/tinygltf
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests:
 build,
Depends:
 cmake,
 g++ | c++-compiler,
 libtinygltf-dev,
 pkg-config,

Tests:
 testsuite,
Restrictions:
 allow-stderr,
Depends:
 catch,
 cmake,
 g++ | c++-compiler,
 libstb-dev,
 libtinygltf-dev,
 nlohmann-json3-dev,

=== debian/watch ===
Version: 5

Template: Github
Owner: syoyo
Project: tinygltf
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg

## tinygltf 2.9.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 option(TINYGLTF_BUILD_BUILDER_EXAMPLE "Build glTF builder example" OFF)
 option(TINYGLTF_HEADER_ONLY "On: header-only mode. Off: create tinygltf library(No TINYGLTF_IMPLEMENTATION required in your project)" OFF)
 option(TINYGLTF_INSTALL "Install tinygltf files during install step. Usually set to OFF if you include tinygltf through add_subdirectory()" ON)
+option(TINYGLTF_INSTALL_VENDOR "Install vendored nlohmann/json and nothings/stb headers" ON)
 
 if (TINYGLTF_BUILD_LOADER_EXAMPLE)
   add_executable(loader_example
@@ -61,19 +62,26 @@
 
 if (TINYGLTF_INSTALL)
   install(TARGETS tinygltf EXPORT tinygltfTargets)
-  install(EXPORT tinygltfTargets NAMESPACE tinygltf:: FILE TinyGLTFTargets.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
+  install(EXPORT tinygltfTargets NAMESPACE tinygltf:: FILE TinyGLTFTargets.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tinygltf)
   configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/TinyGLTFConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/TinyGLTFConfig.cmake INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
-  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/TinyGLTFConfig.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/TinyGLTFConfig.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tinygltf)
   # Do not install .lib even if !TINYGLTF_HEADER_ONLY
 
   INSTALL ( FILES
-    json.hpp
-    stb_image.h
-    stb_image_write.h
     tiny_gltf.h
     ${TINYGLTF_EXTRA_SOUECES}
     DESTINATION
     include
     )
 
+    if(TINYGLTF_INSTALL_VENDOR)
+      INSTALL ( FILES
+        json.hpp
+        stb_image.h
+        stb_image_write.h
+        DESTINATION
+        include
+        )
+    endif()
+
 endif(TINYGLTF_INSTALL)

=== debian/changelog ===
tinygltf (2.9.7+dfsg-1) unstable; urgency=medium

  * New upstream version 2.9.7+dfsg
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Nov 2025 13:14:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
 TINYGLTF_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+dfsg.*$$//')
-TINYGLTF_SOVERSION := 4d
+TINYGLTF_SOVERSION := 6d
 
 %:
 	dh $@ --buildsystem=cmake
